export declare class Cr {
    kind: string;
    metadata: {
        name: string;
        annotations: {
            [key: string]: string;
        };
    };
    status: {
        conditions: {
            type: string;
            status: string;
            message: string;
        }[];
    };
    constructor(kind: string, metadata: {
        name: string;
        annotations: {
            [key: string]: string;
        };
    }, conditions: {
        type: string;
        status: string;
        message: string;
    }[]);
    hasCondition(type: string, status: string): {
        type: string;
        status: string;
        message: string;
    };
    hasError(): {
        type: string;
        status: string;
        message: string;
    };
    isDrifted(): {
        type: string;
        status: string;
        message: string;
    };
    get driftMessage(): string;
    get errorMessage(): string;
    get claimName(): string;
    get claimKind(): string;
}
